#!/bin/bash
NAME="collabnet-merge"
VERSION=1.10.0
REV="807"

echo "Exporting from Source Control..."
rm -rf $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION >/dev/null

# if prompted for a password, just hit return; the password is blank
svn export http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/branches/1.10.x/features/com.collabnet.subversion.merge.feature@$REV --username guest
svn export http://desktop-eclipse.open.collab.net/svn/desktop-eclipse/branches/1.10.x/plugins/com.collabnet.subversion.merge@$REV --username guest

popd >/dev/null

echo "Creating tarball '$NAME-$VERSION.tar.gz'..."
tar -czf $NAME-$VERSION.tar.gz $NAME-$VERSION
